Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 18:17
All times are UTC - 4
 Forum index » Off-Topic Area » Security
JRE / JDK Security Thread
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 3 of 3 Posts_count   Goto page: Previous 1, 2, 3
Author Message
amigo

Joined: 02 Apr 2007
Posts: 2257

PostPosted: Sat 16 Feb 2013, 05:51    Post_subject:  

@jpeps, someone said: "I can find JavaScript, but not Java." I was just responding to that. You seem a bit touchy with me, lately...
Back to top
View user's profile Send_private_message 
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Sat 16 Feb 2013, 06:19    Post_subject:  

Semme: Not entirely sure why you moved this; my 'issue' isn't really security-related.

Semme wrote:
Does the symlink exist- yes or no? Maybe check Shinobars`instructions..


See my post in the original thread here. (I posted while you were moving the discussion, apparently.)

Semme wrote:
This with the Asterisk!s`jre-1.7u13-i586.sfs loaded. NO problem..


That page still doesn't work for me, but this page does:
http://www.java.com/en/download/testjava.jsp

As far as I can tell, I have all of the necessary symlinks (TheAsterisk!'s package actually appears to create them for ALL possible Mozilla browsers, including the Ice series), and I even briefly changed the Java console to show, rather than hide (as the Java website advises). Same results as above.

(Edit: Okay, that's weird. I just checked http://www.java.com/en/download/installed.jsp?detect=jre again, after posting this, and NOW, it's working. Shocked )

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
Semme

Joined: 07 Aug 2011
Posts: 3966
Location: World_Hub

PostPosted: Sat 16 Feb 2013, 07:20    Post_subject:  

Nooo.. but it's not about Flash either. At any rate- good to hear you finally got it.
Back to top
View user's profile Send_private_message 
Makoto


Joined: 03 Sep 2009
Posts: 1797
Location: Out wandering... maybe.

PostPosted: Sat 16 Feb 2013, 21:07    Post_subject:  

I'm surprised it only decided to start working because I posted about it. Mr. Green
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
Q5sys


Joined: 11 Dec 2008
Posts: 1073

PostPosted: Wed 20 Feb 2013, 21:40    Post_subject:  

OP Updated.
Java released a patch for 7u13 release, which is numbered 7u15
http://www.oracle.com/technetwork/topics/security/javacpufeb2013update-1905892.html#PatchTable

No 6uX release, as it has reached End of Life.

_________________



Back to top
View user's profile Send_private_message Visit_website 
Hogweed

Joined: 12 Feb 2011
Posts: 96

PostPosted: Thu 21 Feb 2013, 12:04    Post_subject:  

The mystery of why Java plugin sometimes works in Seamonkey and sometimes doesn't https://bugzilla.mozilla.org/show_bug.cgi?id=754622

Quote:

Bug 754622 -
Summary: [linux] Oracle/Sun Java jre1.7.0_04 and later does not work in SeaMonkey


Common on Linux,. Importance P5 Major but nobody seems to be able to fix the damn thing and they have been at it for months. Works fine on Firefox with latest Java 7 Update 15 but now will not work for me under Seamonkey again. When it did last week. Yes plugin is in the right place but it is marked as "Invalid" in pluginreg.dat. The suggested workarounds in the Seamonkey open bug report (including disabling the blocklist) don't help in my case either.

Seamonkey just marks the plugin as invalid then you are stuffed.

Code:

[INVALID]
/usr/java/jre1.7.0_15/lib/i386/libnpjp2.so:$
1360964494000:$


Doubtless it will work for some (as it did for me with 13) but not for others.

In Firefox 19 the exact same plugin works and is marked
Code:

[PLUGINS]
libnpjp2.so:$
/usr/java/jre1.7.0_15/lib/i386/libnpjp2.so:$
:$
1360964494000:0:5:$
<a href="http://java.sun.com">Java</a> plug-in for NPAPI-based browsers.:$
Java(TM) Plug-in 1.7.0_15:$
...
...
Back to top
View user's profile Send_private_message 
Hogweed

Joined: 12 Feb 2011
Posts: 96

PostPosted: Thu 21 Feb 2013, 18:50    Post_subject:  

Gets stranger. Just installed 5.4.93 Precise beta - Installed Java on it and this time it works with the pre-installed Seamonkey 2.15.2.
Back to top
View user's profile Send_private_message 
Q5sys


Joined: 11 Dec 2008
Posts: 1073

PostPosted: Wed 06 Mar 2013, 20:59    Post_subject:  

Updated.
US-CERT release

_________________



Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 3 of 3 Posts_count   Goto page: Previous 1, 2, 3
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Off-Topic Area » Security
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0599s ][ Queries: 13 (0.0057s) ][ GZIP on ]